Skip to navigation

List Orders

Retrieves limited information for all orders, including B2B-specific information like Company IDs and order extra fields. The response includes orders placed by B2C customers and guest shoppers. Use Get Order Products to retrieve an order’s product details, or use the BigCommerce Orders V2 API to retrieve all order details except those specific to B2B Edition, like Company ID and extra fields.

Use the parameters to filter the returned orders by attributes like associated Company ID, date created, or storefront channel. You can also set the showExtra parameter to true in order to return extra field values associated with the order.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Query parameters

companyIdintegerOptional
Unique numeric ID of the Company account.
limitintegerOptional1-200Defaults to 10

Determines the number of records to return per page. If left blank, this defaults to 10.

offsetintegerOptional>=0Defaults to 0

The number of results to skip before returning the first result. If left blank, this defaults to 0.

orderByenumOptionalDefaults to DESC
Establish a descending or ascending order of results. The order defaults to descending if the parameter is not included.
Allowed values:
sortByenumOptionalDefaults to updatedAt
Sorts results by creation date or the last updated date. It defaults to the last updated date if no parameter is provided.
Allowed values:
bcOrderIdintegerOptional

The BigCommerce order ID. This parameter does not accept the B2B Edition order ID returned in certain Server to Server Orders endpoints.

minModifiedintegerOptional

Enter a Unix timestamp to retrieve all orders updated after that time.

maxModifiedintegerOptional

Enter a Unix timestamp to retrieve all orders updated before that time.

minCreatedintegerOptional

Enter a Unix timestamp to retrieve all orders created after that time.

maxCreatedintegerOptional

Enter a Unix timestamp to retrieve all orders created before that time.

showExtrabooleanOptionalDefaults to false
Indicates whether or not extra fields should be included in the response.
channelIds[]list of doublesOptionalDefaults to 1
BigCommerce channel IDs

Response

OK
codeintegerOptional
metaobjectOptional
datalist of objectsOptional